cURL
curl --request GET \
--url https://app.closerx.ai/api/agent/update/{agent_id}/ \
--header 'Company-Name: <company-name>' \
--header 'api_key: <api-key>'import requests
url = "https://app.closerx.ai/api/agent/update/{agent_id}/"
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Company-Name': '<company-name>', api_key: '<api-key>'}
};
fetch('https://app.closerx.ai/api/agent/update/{agent_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "get agent detail",
"data": {
"pk": 521,
"agent_name": "add_agent_name",
"agent_id": "agent_aa2c4c2895abe6ab7c0e89b607",
"voice_id": "11labs-Marissa",
"language": "en-US",
"interruption_sensitivity": "1.0",
"voicemail": true,
"voicemail_message": null,
"end_call_after_silence": 10,
"max_call_duration": 10,
"reminder_trigger": 10,
"ambient_sound": null,
"analysis_data": [],
"llm": 527,
"voice_speed": 1,
"voice_temperature": 1,
"volume": 1,
"enable_backchannel": true,
"normalize_for_speech": false,
"enable_transcription_formatting": true,
"reminder_trigger_ms": 10000,
"reminder_max_count": 1,
"boosted_keywords": [],
"ambient_sound_volume": 1,
"voicemail_detection_timeout_ms": 5000,
"begin_message_delay_ms": 0,
"updated_at": "2025-08-13T09:41:44.564571Z",
"is_locked": false,
"calendar_id": null,
"inbound_appoitment": false,
"ring_duration_sec": 30,
"stt_mode": "fast",
"backchannel_words": null,
"backchannel_frequency": 0.8,
"call_scheduling": false,
"agent_crm_type": null,
"voicemail_option": {
"action": {
"type": "hangup"
}
},
"pronunciation_dictionary": [
{
"word": "hello",
"phoneme": "<string>"
}
],
"vocab_specialization": "general",
"allow_user_dtmf": true,
"user_dtmf_options": {
"digit_limit": 123,
"timeout_ms": 123,
"termination_key": "<string>"
},
"denoising_mode": "noise-cancellation"
},
"voice_list": [
{
"id": 3,
"voice_name": "aicall_ryan",
"voice_id": "custom_voice_937c75901acb54b42837d3dafa",
"preview_audio_url": "https://aicall-utils-public.s3.us-west-2.amazonaws.com/custom_voice_937c75901acb54b42837d3dafa.mp3",
"created_at": "2025-08-01T16:31:51.688674Z",
"updated_at": "2025-08-01T16:31:51.688683Z"
}
],
"ghl_data": {
"ghl_connection": true,
"ghl_book_meeting": true,
"inbound_appoitment": false,
"calendar_id": null
}
}{
"success": true,
"message": "<string>",
"data": {}
}Agent
Get Agent
Retrieves the configuration of an existing AI call agent by its ID
GET
/
agent
/
update
/
{agent_id}
/
cURL
Authorizations
Headers
The name of the schema to be used for the request
Path Parameters
Unique identifier for the AI call agent to retrieve
Example:
"16b980523634a6dc504898cda492e939"
Response
AI call agent retrieval response
Indicates whether the request was successful
Example:
true
Message describing the result of the request
Example:
"get agent detail"
Show child attributes
Show child attributes
List of available voices for the agent
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
